package com.nisum.order;


import com.mongodb.spark.MongoSpark;
import com.mongodb.spark.config.WriteConfig;
import com.nisum.order.collection.*;
import com.nisum.order.repository.ProductOrderService;
import lombok.extern.slf4j.Slf4j;
import org.apache.spark.sql.*;
import org.apache.spark.sql.streaming.StreamingQueryException;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import static org.apache.spark.sql.functions.col;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeoutException;

@SpringBootApplication
@Slf4j
public class ProductOrderJoinApplication {

    public static void main(String[] args) throws TimeoutException, StreamingQueryException {

        new SpringApplicationBuilder(ProductOrderJoinApplication.class)
                .web(WebApplicationType.REACTIVE)
                .run(args);


        ProductOrderService orderService= new ProductOrderService();

        MongoSpark.save(

                orderService
                .joinOrderInfo()
                .as(Encoders.bean(FullOrderInfo.class))
                .write()
                .format("com.mongodb.spark.sql.DefaultSource")
                .option("spark.mongodb.output.uri","mongodb://localhost:27017/product_order_db.full_order_info")
                .mode(SaveMode.Append)
        );



    }


}

